body,html {
    background-color: #140055;
    color: white; /* Cela assure que le texte soit lisible sur le fond sombre */
    font-family: 'Plus Jakarta Sans', Arial, sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    height: 100%;
    font-size: 16px; /* taille de police par défaut */

}


@media (max-width: 1200px) {
    body {
        font-size: 15px; /* taille de police pour les écrans de taille moyenne */
    }
}

@media (max-width: 768px) {
    body {
        font-size: 14px; /* taille de police pour les tablettes */
    }
}

@media (max-width: 480px) {
    body {
        font-size: 12px; /* taille de police pour les téléphones portables */
    }
    
    #lottie-container {
    max-width: 500px;
    max-height: 500px;
    margin: auto;
    position: fixed;
    bottom: 0;
    }
}


h1 {
    font-size: 18px;
    color :#9E82F6;
}


header {
    width: 100%;
    position: absolute;
    top: 30px;
    right: 30px;
    display: flex;
    justify-content: flex-end; /* Align items to the right */
}

nav {
    display: flex;
    gap: 20px; /* Space between buttons */
}

.button {
    color: #140055;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 100px;
    font-weight: bold;
    transition: background-color 0.3s, color 0.3s;
    text-align: center;
}

.contact-button {
    background-color: #64FFCE;
}

.asso-button {
    background-color: #9E82F6;
}

.contact-button:hover {
    background-color: #9E82F6;
    color: white;
}

.asso-button:hover {
    background-color: #64FFCE;
    color: #140055;
}


main {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    margin-top: 100px;
    align-items: center;
    text-align: center;
}


.main-image {
    max-width: 100%;
    height: auto;
}

#lottie-container {
    width: 800px;
    height: 800px;
    margin: auto;
    position: fixed;
    bottom: 0;
}

.container {
    width: 100%;
    max-width: 1000px;
    padding: 20px;
    background-color: #9E82F6;
    color: #140055;
    border-radius: 20px;
}

.contact-form {
    display: flex;
    flex-wrap: wrap;
}

.form-left,
.form-right {
    flex: 1;
    min-width: 250px;
    padding: 10px;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    text-align: left; /* Assure l'alignement à gauche */
    padding-left: 10px;
}

.form-group input,
.form-group textarea {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 20px;
}

.form-footer {
    width: 100%;
    text-align: right;
}

.form-footer button {
    background-color: #64FFCE;
    color: #140055;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 100px;
    font-weight: bold;
    border: none;
    transition: background-color 0.3s, color 0.3s;
}

.form-footer button:hover {
    background-color: #140055;
    color:#9E82F6;
}

/* Responsive styles */
@media (max-width: 768px) {
    .form-left,
    .form-right {
        flex: 100%;
    }
}